This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 243308 - No subversion view in eclipse
No subversion view in eclipse
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 10:32 EDT by Joe Sauer
Modified: 2008-06-16 21:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:30:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
error screen shot (23.97 KB, image/png)
2007-06-08 10:32 EDT, Joe Sauer
no flags Details

  None (edit)
Description Joe Sauer 2007-06-08 10:32:00 EDT
Description of problem:
subversion view does not show up. plug-in doesn't show up and appears to not be
configured correctly from the package to register.

Version-Release number of selected component (if applicable):
eclipse-sdk-3.2.2-14.fc7
eclipse-subclipse-1.1.9-2.fc7

How reproducible:
install eclips-sdk and  eclipse-subclipse try show the subversion view (which
doesn't exist b/c the plugin isn't registered properly) or try to add the plugin

Actual results:
no subclipse view and if you try and load the plug-in you see the attached error

Expected results:
to be able to view all plug-ins especially subclipse with out an error so you
can browse repositories as expected...

Additional info:
Comment 1 Joe Sauer 2007-06-08 10:32:00 EDT
Created attachment 156576 [details]
error screen shot
Comment 2 Joe Sauer 2007-06-18 14:32:33 EDT

[jsauer@spider .metadata]$ for f in platform rcp sdk jdt pde; do rpm -qV
eclipse-$f; done
S.5....T   /usr/lib/eclipse/configuration/config.ini
[jsauer@spider .metadata]$ rpm -qV libswt3-gtk2
[jsauer@spider .metadata]$ rpm -q libswt3-gtk2
libswt3-gtk2-3.2.2-14.fc7
[jsauer@spider .metadata]$ for f in platform rcp sdk jdt pde; do rpm -q
eclipse-$f; done
eclipse-platform-3.2.2-14.fc7
eclipse-rcp-3.2.2-14.fc7
eclipse-sdk-3.2.2-14.fc7
eclipse-jdt-3.2.2-14.fc7
eclipse-pde-3.2.2-14.fc7
[root@spider ~]# rpm -qV libswt3-gtk2
[root@spider ~]# 


I then  mv ~/.eclipse{,.bak20070718}; eclipse
used a new workspace to have everthing clean and new but same problems...

in the logs the following show up:

[jsauer@spider .metadata]$ tail -f  ~/workspace2/.metadata/.log 
   at
org.eclipse.core.runtime.SafeRunner.run(org.eclipse.equinox.common_3.2.0.v20060603.jar.so)
   at
org.eclipse.ui.internal.Workbench$20.run(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.core.internal.jobs.Worker.run(org.eclipse.core.jobs_3.2.0.v20060603.jar.so)
Caused by: java.lang.ClassNotFoundException:
org.eclipse.update.internal.operations.IUninstallFeaturesOperation
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.lang.ClassLoader.loadClass(libgcj.so.8rh)
   at java.lang.Class.initializeClass(libgcj.so.8rh)
   ...11 more

!ENTRY org.eclipse.osgi 4 0 2007-06-18 11:25:44.846
!MESSAGE An error occurred while automatically activating bundle
org.eclipse.update.configurator (2).
!STACK 0
org.osgi.framework.BundleException: Exception in
org.eclipse.update.internal.configurator.ConfigurationActivator.start() of
bundle org.eclipse.update.configurator.
   at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.AbstractBundle.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.util.SecureAction.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.lang.ClassLoader.loadClass(libgcj.so.8rh)
   at java.lang.Class.initializeClass(libgcj.so.8rh)
   at java.lang.Class.newInstance(libgcj.so.8rh)
   at
org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.ui.internal.WorkbenchPlugin.createExtension(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.appendExtensions(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.getSystemSummary(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.createDialogArea(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.dialogs.Dialog.createContents(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.create(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.dialogs.Dialog.create(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.open(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutDialog$1.run(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.swt.custom.BusyIndicator.showWhile(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutDialog.buttonPressed(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.dialogs.Dialog$3.widgetSelected(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.swt.widgets.TypedListener.handleEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.runDeferredEvents(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.jface.window.Window.runEventLoop(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.open(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.ui.internal.about.AboutAction.run(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.action.Action.runWithEvent(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.access$2(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem$5.handleEvent(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.runDeferredEvents(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.Workbench.runUI(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
   at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(org.eclipse.core.runtime_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.lang.reflect.Method.invoke(libgcj.so.8rh)
   at org.eclipse.core.launcher.Main.invokeFramework(startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(startup.jar.so)
   at org.eclipse.core.launcher.Main.run(startup.jar.so)
   at org.eclipse.core.launcher.Main.main(startup.jar.so)
Caused by: org.eclipse.core.runtime.CoreException: Cannot create configuration
in file:/home/jsauer/.eclipse/org.eclipse.platform_3.2.0/configuration/
   at
org.eclipse.update.internal.configurator.Utils.newCoreException(org.eclipse.update.configurator_3.2.2.R32x_v20070111.jar.so)
   at
org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(org.eclipse.update.configurator_3.2.2.R32x_v20070111.jar.so)
   at
org.eclipse.update.internal.configurator.ConfigurationActivator.start(org.eclipse.update.configurator_3.2.2.R32x_v20070111.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.security.AccessController.doPrivileged(libgcj.so.8rh)
   at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   ...62 more
Root exception:
org.eclipse.core.runtime.CoreException: Cannot create configuration in
file:/home/jsauer/.eclipse/org.eclipse.platform_3.2.0/configuration/
   at
org.eclipse.update.internal.configurator.Utils.newCoreException(org.eclipse.update.configurator_3.2.2.R32x_v20070111.jar.so)
   at
org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(org.eclipse.update.configurator_3.2.2.R32x_v20070111.jar.so)
   at
org.eclipse.update.internal.configurator.ConfigurationActivator.start(org.eclipse.update.configurator_3.2.2.R32x_v20070111.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.security.AccessController.doPrivileged(libgcj.so.8rh)
   at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.AbstractBundle.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.util.SecureAction.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.preFindLocalClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.lang.ClassLoader.loadClass(libgcj.so.8rh)
   at java.lang.Class.initializeClass(libgcj.so.8rh)
   at java.lang.Class.newInstance(libgcj.so.8rh)
   at
org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.ui.internal.WorkbenchPlugin.createExtension(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.appendExtensions(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.getSystemSummary(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.createDialogArea(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.dialogs.Dialog.createContents(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.create(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.dialogs.Dialog.create(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.open(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutDialog$1.run(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.swt.custom.BusyIndicator.showWhile(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutDialog.buttonPressed(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.dialogs.Dialog$3.widgetSelected(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.swt.widgets.TypedListener.handleEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.runDeferredEvents(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.jface.window.Window.runEventLoop(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.open(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.ui.internal.about.AboutAction.run(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.action.Action.runWithEvent(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.access$2(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem$5.handleEvent(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.runDeferredEvents(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.Workbench.runUI(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
   at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(org.eclipse.core.runtime_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.lang.reflect.Method.invoke(libgcj.so.8rh)
   at org.eclipse.core.launcher.Main.invokeFramework(startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(startup.jar.so)
   at org.eclipse.core.launcher.Main.run(startup.jar.so)
   at org.eclipse.core.launcher.Main.main(startup.jar.so)

!ENTRY org.eclipse.ui 4 4 2007-06-18 11:25:44.900
!MESSAGE Unhandled event loop exception

!ENTRY org.eclipse.ui 4 0 2007-06-18 11:25:44.900
!MESSAGE org.eclipse.ui.internal.ide.dialogs.ConfigurationLogUpdateSection
!STACK 0
java.lang.NoClassDefFoundError:
org.eclipse.ui.internal.ide.dialogs.ConfigurationLogUpdateSection
   at java.lang.Class.initializeClass(libgcj.so.8rh)
   at java.lang.Class.newInstance(libgcj.so.8rh)
   at
org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(org.eclipse.equinox.registry_3.2.1.R32x_v20060814.jar.so)
   at
org.eclipse.ui.internal.WorkbenchPlugin.createExtension(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.appendExtensions(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.getSystemSummary(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutSystemDialog.createDialogArea(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.dialogs.Dialog.createContents(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.create(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.dialogs.Dialog.create(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.open(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutDialog$1.run(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.swt.custom.BusyIndicator.showWhile(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.ui.internal.dialogs.AboutDialog.buttonPressed(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.dialogs.Dialog$3.widgetSelected(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.swt.widgets.TypedListener.handleEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.runDeferredEvents(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.jface.window.Window.runEventLoop(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.window.Window.open(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.ui.internal.about.AboutAction.run(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.jface.action.Action.runWithEvent(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.access$2(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem$5.handleEvent(org.eclipse.jface_3.2.2.M20061214-1200.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.runDeferredEvents(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_3.2.2.v3236.jar.so)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.Workbench.runUI(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar.so)
   at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
   at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(org.eclipse.core.runtime_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.lang.reflect.Method.invoke(libgcj.so.8rh)
   at org.eclipse.core.launcher.Main.invokeFramework(startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(startup.jar.so)
   at org.eclipse.core.launcher.Main.run(startup.jar.so)
   at org.eclipse.core.launcher.Main.main(startup.jar.so)
Caused by: java.lang.ClassNotFoundException:
org.eclipse.update.configurator.IPlatformConfiguration$IFeatureEntry
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
   at java.lang.ClassLoader.loadClass(libgcj.so.8rh)
   at java.lang.Class.initializeClass(libgcj.so.8rh)
   ...48 more

Comment 3 Robert Marcano 2007-06-19 09:34:03 EDT
This does not appear related to the subclipse plugin at my first review, the
stacktrace looks like errors when pressing a button on the about dialog.

I have been unable to reproduce the error, I can view the SVN Repository
Explorer perspective without problems. I even see the 3 registered SVN views
(Annotate, Properties and Repository).

do you have any other eclipse plugin different than subclipse installed?

can you uninstall it and attach the configuration details on the about window
Comment 4 Joe Sauer 2007-06-19 19:57:13 EDT
I totally agree it's not subclipse's fault as I initially erroneously thought. 
Thanks Robert and sorry for the trouble. 

I basically installed all eclipse plugin available. ie yum install *eclipse*
(silly I now know...) 

I'm sure I won't be the last one to do that. So the problem is probably still a
valid problem though silly and should probably be refiled under something else
(My excuse is I wanted to experiment and look at available "toys" it had...oops)

I'll cut back the number of plugins and eventually work my way up one by one
until I break things 

after doing:
yum install eclipse-sdk eclipse-pydev eclipse-subclipse checkstyle
things work just fine...

I'll update the bug if I find out what caused the conflict as I add plugins...
i.e. Figuring out which ones don't work well together would be fantastic; in
order to edit the dependencies and/or make them conflict so no one else has the
same issues I did....

Thanks
-Joe
Comment 5 Andrew Overholt 2007-07-13 10:44:20 EDT
Did you ever get a chance to figure out what's causing the problem, Joe?
Comment 6 Joe Sauer 2007-07-20 14:22:30 EDT
(In reply to comment #5)
> Did you ever get a chance to figure out what's causing the problem, Joe?

Unfortunately not yet.
Comment 7 Bug Zapper 2008-05-14 08:55:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:30:32 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.